Skip to main content
POST
/
wallet
/
api
/
card
/
balance
/
transfer
Transfer between cards
curl --request POST \
  --url https://access-wallet.test.ftrader.pro/wallet/api/card/balance/transfer
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "agencyCode": "<string>",
    "amount": 123,
    "appId": "<string>",
    "channelCardTransactionId": "<string>",
    "currency": "<string>",
    "entryType": "<string>",
    "fromAppUserEmail": "<string>",
    "fromAppUserId": "<string>",
    "fromCardNumber": "<string>",
    "fromEmbossedName": "<string>",
    "intent": "<string>",
    "postedAt": "2023-11-07T05:31:56Z",
    "status": "CREATED",
    "toAppUserEmail": "<string>",
    "toAppUserId": "<string>",
    "toCardNumber": "<string>",
    "toEmbossedName": "<string>"
  }
}

Query Parameters

agencyCode
string
required

Agency Code

amount
number
required

Transfer Amount (min 2)

appId
string
required

App ID

fromAppUserEmail
string
required

Sender App User Email

fromAppUserId
string
required

Sender App User ID

fromCardNumber
string
required

Sender Card Number

sign
string
required

Sign

timestamp
integer<int64>
required

Current Millisecond Timestamp (max 1 minute)

toAppUserEmail
string
required

Receiver App User Email

toCardNumber
string
required

Receiver Card Number

Response

200 - application/json

OK

code
integer<int32>
required
msg
string
required
data
ApiCardBalanceTransferDTO · object